List my reversible v2 API actions
curl --request GET \
--url https://api-v2.watchcollect.com/v2/actions \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api-v2.watchcollect.com/v2/actions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api-v2.watchcollect.com/v2/actions"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"items": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"actor_user_id": "<string>",
"correlation_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"event_ids": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"category": "view",
"action": "saved_view_created",
"summary": "Saved view created",
"occurred_at_ms": 123,
"entity": {
"type": "saved_view",
"id": "018f06e2-4f8d-7c01-8a0d-cc6fd78f7070",
"label": "Rolex feed"
},
"related_entities": [
{
"type": "saved_view",
"id": "018f06e2-4f8d-7c01-8a0d-cc6fd78f7070",
"label": "Rolex feed"
}
],
"changes": [
{
"field": "name",
"label": "Name",
"value_type": "string",
"before": "<string>",
"after": "<string>"
}
],
"revert_status": "revertible",
"source": {
"kind": "api",
"request_id": "<string>",
"service": "<string>"
},
"reverted_by_action_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
],
"has_more": true,
"next_cursor": "<string>"
}{
"error": {
"code": "invalid_payload",
"message": "event is required",
"request_id": "018f06e2-4f8d-7c01-8a0d-cc6fd78f7001"
}
}{
"error": {
"code": "invalid_payload",
"message": "event is required",
"request_id": "018f06e2-4f8d-7c01-8a0d-cc6fd78f7001"
}
}actions
List my reversible v2 API actions
Returns only action history entries created by the authenticated actor in the current tenant or workspace scope.
GET
/
v2
/
actions
List my reversible v2 API actions
curl --request GET \
--url https://api-v2.watchcollect.com/v2/actions \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api-v2.watchcollect.com/v2/actions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api-v2.watchcollect.com/v2/actions"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"items": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"actor_user_id": "<string>",
"correlation_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"event_ids": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"category": "view",
"action": "saved_view_created",
"summary": "Saved view created",
"occurred_at_ms": 123,
"entity": {
"type": "saved_view",
"id": "018f06e2-4f8d-7c01-8a0d-cc6fd78f7070",
"label": "Rolex feed"
},
"related_entities": [
{
"type": "saved_view",
"id": "018f06e2-4f8d-7c01-8a0d-cc6fd78f7070",
"label": "Rolex feed"
}
],
"changes": [
{
"field": "name",
"label": "Name",
"value_type": "string",
"before": "<string>",
"after": "<string>"
}
],
"revert_status": "revertible",
"source": {
"kind": "api",
"request_id": "<string>",
"service": "<string>"
},
"reverted_by_action_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
],
"has_more": true,
"next_cursor": "<string>"
}{
"error": {
"code": "invalid_payload",
"message": "event is required",
"request_id": "018f06e2-4f8d-7c01-8a0d-cc6fd78f7001"
}
}{
"error": {
"code": "invalid_payload",
"message": "event is required",
"request_id": "018f06e2-4f8d-7c01-8a0d-cc6fd78f7001"
}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Required range:
1 <= x <= 100Available options:
view, alert, group, workspace, ai_settings, outbound, system Available options:
revertible, irreversible, reverted